From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
able>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'>refs</a><a class='active' href='/guix/log/gnu/tests/databases.scm'>log</a><a href='/guix/tree/gnu/tests/databases.scm?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'>tree</a><a href='/guix/commit/gnu/tests/databases.scm?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'>commit</a><a href='/guix/diff/gnu/tests/databases.scm?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/tests/databases.scm'>
<input type='hidden' name='id' value='b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'>root</a>/<a href='/guix/log/gnu?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'>gnu</a>/<a href='/guix/log/gnu/tests?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'>tests</a>/<a href='/guix/log/gnu/tests/databases.scm?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89'>databases.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/tests/databases.scm?id=b8bb2f0793aa2c5ff32956a90a0cfdb94bbe7a89&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2018-10-18 01:12:22 +0200'>2018-10-18</span></td><td><a href='/guix/commit/gnu/tests/databases.scm?id=39d7fdce453b0ca23ecbed72048647debbaa58a6'>services: dhcp-client: Deprecate 'dhcp-client-service' procedure.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2018-03-10 16:20:55 +0000'>2018-03-10</span></td><td><a href='/guix/commit/gnu/tests/databases.scm?id=69f7cf2bf4ca3ab792438a9e7fb46f78ef0f227a'>tests: databases: Add a system test for PostgreSQL.</a><span class='msg-avail'>...</span></td><td>Christopher Baines</td></tr>
<tr><td><span title='2017-10-08 17:31:49 +0100'>2017-10-08</span></td><td><a href='/guix/commit/gnu/tests/databases.scm?id=02bc41c4cedd15c6a76ecd5218f9b5848de8baea'>tests: databases: Add a simple test for MySQL.</a><span class='msg-avail'>...</span></td><td>Christopher Baines</td></tr>
<tr><td><span title='2017-10-06 21:24:30 +0100'>2017-10-06</span></td><td><a href='/guix/commit/gnu/tests/databases.scm?id=5266ff719e274056cb3e2b9740183f0063177255'>services: Add MongoDB.</a><span class='msg-avail'>...</span></td><td>Christopher Baines</td></tr>
<tr><td><span title='2017-08-15 22:24:15 +0100'>2017-08-15</span></td><td><a href='/guix/commit/gnu/tests/databases.scm?id=6230e155afd8c43c12ee3f03032aac34433db11a'>gnu: Fix memcached service startup.</a><span class='msg-avail'>...</span></td><td>Christopher Baines</td></tr>
<tr><td><span title='2017-07-30 09:08:30 +0100'>2017-07-30</span></td><td><a href='/guix/commit/gnu/tests/databases.scm?id=119fdd0d0e33492ef2b563295fe9564258d51401'>services: Add memcached.</a><span class='msg-avail'>...</span></td><td>Christopher Baines</td></tr>
